package com.yida.data.common.core.entity.user.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 家校部门类型枚举
 *
 * @author ZYJ
 * @date 2021/8/23
 */
@Getter
@AllArgsConstructor
public enum UserDeptTypeEnum {

    /**
     * 家校部门类型枚举
     */
    CLASS_TYPE(1, "班级"),
    GRADE_TYPE(2, "年级"),
    SECTION_TYPE(3, "学段"),
    CAMPUS_TYPE(4, "校区");

    /**
     * 家校部门类型
     */
    private final Integer value;

    /**
     * 家校类型名称
     */
    private final String name;
}
